Method: entityTypes.readFeatureValues

Full name: projects.locations.featurestores.entityTypes.readFeatureValues

Reads feature values of a specific entity of an EntityType. For reading feature values of multiple entities of an EntityType, please use entityTypes.streamingReadFeatureValues.

Endpoint

post https://{service-endpoint}/v1beta1/{entityType}:readFeatureValues

Where {service-endpoint} is one of the supported service endpoints.

Path parameters

entityType string

Required. The resource name of the EntityType for the entity being read. value format: projects/{project}/locations/{location}/featurestores/{featurestore}/entityTypes/{entityType}. For example, for a machine learning model predicting user clicks on a website, an EntityType id could be user.

Request body

The request body contains data with the following structure:

Fields
entityId string

Required. id for a specific entity. For example, for a machine learning model predicting user clicks on a website, an entity id could be user_123.

featureSelector object (FeatureSelector)

Required. Selector choosing Features of the target EntityType.

Response body

If successful, the response body contains an instance of ReadFeatureValuesResponse.

IAM Permissions

Requires the following IAM permission on the entityType resource:

  • aiplatform.entityTypes.readFeatureValues

For more information, see the IAM documentation.